## org.hibernate.event.spi
Interface FlushEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultFlushEventListener, EJB3FlushEventListener

    public interface FlushEventListener

extends Serializable

Defines the contract for handling of session flush events.

Method Summary
`void` `onFlush(FlushEvent event)` Handle the given flush event.

Method Detail

### onFlush

    void onFlush(FlushEvent event)
                 throws HibernateException

  Handle the given flush event.

  Parameters:
    `event` - The flush event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.